Package org.opensaml.soap.soap11.profile.impl

# Class AddSOAPFault.MessageContextFaultStrategy

java.lang.Object
org.opensaml.soap.soap11.profile.impl.AddSOAPFault.MessageContextFaultStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,Fault>`

Enclosing class:
  AddSOAPFault

public static class AddSOAPFault.MessageContextFaultStrategy extends Object implements Function<ProfileRequestContext,Fault>
Default strategy which returns a `Fault` instance already registered in the current request context.

The outbound message context is checked first, followed by the inbound message context. Evaluation is performed using `SOAPMessagingSupport.getSOAP11Fault(MessageContext)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`MessageContextFaultStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Fault`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### MessageContextFaultStrategy

public MessageContextFaultStrategy()

## Method Details

### apply

@Nullable public Fault apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Fault>`